Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj	(revision 7669)
@@ -102,4 +102,22 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.DataAnalysis-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.DataAnalysis.Symbolic-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.DataAnalysis.Symbolic.Classification-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.DataAnalysis.Views-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
@@ -209,4 +227,14 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views-3.4.csproj">
+      <Project>{BF1E4DF4-A4CC-451F-9D50-303F405E265E}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views-3.4</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
+      <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
+      <Name>HeuristicLab.Problems.Instances-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.QuadraticAssignment\3.3\HeuristicLab.Problems.QuadraticAssignment-3.3.csproj">
       <Project>{79271BC8-4446-40E2-BB89-9BE4E17174FE}</Project>
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Plugin.cs.frame	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Plugin.cs.frame	(revision 7669)
@@ -34,4 +34,6 @@
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
   [PluginDependency("HeuristicLab.Problems.QuadraticAssignment", "3.3")]
   public class HeuristicLabProblemsQuadraticAssignmentViewsPlugin : PluginBase {
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QAPVisualizationControl.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QAPVisualizationControl.cs	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QAPVisualizationControl.cs	(revision 7669)
@@ -205,7 +205,8 @@
         Bitmap newBitmap = null;
         stressLabel.Text = "-";
+        stressLabel.ForeColor = Color.Black;
         if (distancesRadioButton.Checked && Distances != null && Distances.Rows > 0
           && Distances.Rows == Distances.Columns) {
-          if (Distances.Rows > 35) {
+          if (Distances.Rows > 50) {
             newBitmap = new Bitmap(pictureBox.Width, pictureBox.Height);
             WriteCenteredTextToBitmap(ref newBitmap, "Problem dimension is too large for visualization.");
@@ -214,5 +215,5 @@
         } else if (weightsRadioButton.Checked && Weights != null && Weights.Rows > 0
           && Weights.Rows == Weights.Columns) {
-          if (Weights.Rows > 35) {
+          if (Weights.Rows > 50) {
             newBitmap = new Bitmap(pictureBox.Width, pictureBox.Height);
             WriteCenteredTextToBitmap(ref newBitmap, "Problem dimension is too large for visualization.");
@@ -228,5 +229,5 @@
           && Assignment.Length == Distances.Rows
           && Assignment.Validate()) {
-          if (Assignment.Length > 35) {
+          if (Assignment.Length > 50) {
             newBitmap = new Bitmap(pictureBox.Width, pictureBox.Height);
             WriteCenteredTextToBitmap(ref newBitmap, "Problem dimension is too large for visualization.");
@@ -249,4 +250,5 @@
         Bitmap newBitmap = new Bitmap(pictureBox.Width, pictureBox.Height);
         stressLabel.Text = "-";
+        stressLabel.ForeColor = Color.Black;
         WriteCenteredTextToBitmap(ref newBitmap, "Please refresh view.");
         showingMessage = false; // we're showing a message, but we should be showing the visualization, so this is false
@@ -270,8 +272,12 @@
           stress = MultidimensionalScaling.CalculateNormalizedStress(distances, coordinates);
           stressLabel.Text = stress.ToString("0.00", CultureInfo.CurrentCulture.NumberFormat);
+          if (stress < 0.1) stressLabel.ForeColor = Color.DarkGreen;
+          else if (stress < 0.2) stressLabel.ForeColor = Color.DarkOrange;
+          else stressLabel.ForeColor = Color.DarkRed;
         } catch {
           WriteCenteredTextToBitmap(ref newBitmap, "Distance matrix is not symmetric");
           showingMessage = true;
           stressLabel.Text = "-";
+          stressLabel.ForeColor = Color.Black;
           return newBitmap;
         }
@@ -349,6 +355,6 @@
         for (int i = 0; i < weights.Rows; i++)
           for (int j = i + 1; j < weights.Rows; j++) {
-            if (weights[i, j] > maxWeight)
-              maxWeight = weights[i, j] + weights[j, i];
+            if (weights[i, j] > maxWeight) maxWeight = weights[i, j];
+            if (weights[j, i] > maxWeight) maxWeight = weights[j, i];
           }
 
@@ -356,5 +362,6 @@
         for (int i = 0; i < distances.Rows; i++)
           for (int j = 0; j < distances.Columns; j++) {
-            distances[i, j] = maxWeight + 1 - weights[i, j];
+            if (weights[i, j] == 0) distances[i, j] = double.NaN;
+            else distances[i, j] = maxWeight / weights[i, j];
           }
 
@@ -365,8 +372,12 @@
           stress = MultidimensionalScaling.CalculateNormalizedStress(distances, coordinates);
           stressLabel.Text = stress.ToString("0.00", CultureInfo.CurrentCulture.NumberFormat);
+          if (stress < 0.1) stressLabel.ForeColor = Color.DarkGreen;
+          else if (stress < 0.2) stressLabel.ForeColor = Color.DarkOrange;
+          else stressLabel.ForeColor = Color.DarkRed;
         } catch {
           WriteCenteredTextToBitmap(ref newBitmap, "Weights matrix is not symmetric");
           showingMessage = true;
           stressLabel.Text = "-";
+          stressLabel.ForeColor = Color.Black;
           return newBitmap;
         }
@@ -454,8 +465,12 @@
           stress = MultidimensionalScaling.CalculateNormalizedStress(distances, coordinates);
           stressLabel.Text = stress.ToString("0.00", CultureInfo.CurrentCulture.NumberFormat);
+          if (stress < 0.1) stressLabel.ForeColor = Color.DarkGreen;
+          else if (stress < 0.2) stressLabel.ForeColor = Color.DarkOrange;
+          else stressLabel.ForeColor = Color.DarkRed;
         } catch {
           WriteCenteredTextToBitmap(ref newBitmap, "Unknown error");
           showingMessage = true;
           stressLabel.Text = "-";
+          stressLabel.ForeColor = Color.Black;
           return newBitmap;
         }
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.Designer.cs	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.Designer.cs	(revision 7669)
@@ -45,22 +45,33 @@
     /// </summary>
     private void InitializeComponent() {
-      this.importInstanceButton = new System.Windows.Forms.Button();
-      this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
-      this.QAPLIBInstancesLabel = new System.Windows.Forms.Label();
-      this.instancesComboBox = new System.Windows.Forms.ComboBox();
-      this.loadInstanceButton = new System.Windows.Forms.Button();
       this.tabControl = new System.Windows.Forms.TabControl();
       this.problemTabPage = new System.Windows.Forms.TabPage();
       this.visualizationTabPage = new System.Windows.Forms.TabPage();
       this.qapView = new HeuristicLab.Problems.QuadraticAssignment.Views.QAPVisualizationControl();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).BeginInit();
+      this.problemInstanceSplitContainer.Panel1.SuspendLayout();
+      this.problemInstanceSplitContainer.Panel2.SuspendLayout();
+      this.problemInstanceSplitContainer.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tabControl.SuspendLayout();
+      this.problemTabPage.SuspendLayout();
       this.visualizationTabPage.SuspendLayout();
       this.SuspendLayout();
       // 
+      // libraryInfoButton
+      // 
+      this.libraryInfoButton.Location = new System.Drawing.Point(224, 1);
+      // 
+      // problemInstanceSplitContainer
+      // 
+      // 
+      // problemInstanceSplitContainer.Panel2
+      // 
+      this.problemInstanceSplitContainer.Panel2.Controls.Add(this.tabControl);
+      // 
       // parameterCollectionView
       // 
-      this.parameterCollectionView.Location = new System.Drawing.Point(8, 107);
-      this.parameterCollectionView.Size = new System.Drawing.Size(629, 375);
+      this.parameterCollectionView.Location = new System.Drawing.Point(0, 3);
+      this.parameterCollectionView.Size = new System.Drawing.Size(497, 269);
       // 
       // nameTextBox
@@ -68,74 +79,4 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(105, 29);
-      this.nameTextBox.Size = new System.Drawing.Size(517, 20);
-      // 
-      // nameLabel
-      // 
-      this.nameLabel.Location = new System.Drawing.Point(3, 32);
-      // 
-      // infoLabel
-      // 
-      this.infoLabel.Location = new System.Drawing.Point(628, 32);
-      // 
-      // importInstanceButton
-      // 
-      this.importInstanceButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.importInstanceButton.Location = new System.Drawing.Point(548, 0);
-      this.importInstanceButton.Name = "importInstanceButton";
-      this.importInstanceButton.Size = new System.Drawing.Size(99, 23);
-      this.importInstanceButton.TabIndex = 5;
-      this.importInstanceButton.Text = "Import...";
-      this.importInstanceButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.toolTip.SetToolTip(this.importInstanceButton, "Import files in QAPLIB format.");
-      this.importInstanceButton.UseVisualStyleBackColor = true;
-      this.importInstanceButton.Click += new System.EventHandler(this.importInstanceButton_Click);
-      // 
-      // openFileDialog
-      // 
-      this.openFileDialog.FileName = "instance.dat";
-      this.openFileDialog.Filter = "Dat files|*.dat|All files|*.*";
-      // 
-      // QAPLIBInstancesLabel
-      // 
-      this.QAPLIBInstancesLabel.AutoSize = true;
-      this.QAPLIBInstancesLabel.Cursor = System.Windows.Forms.Cursors.Hand;
-      this.QAPLIBInstancesLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.QAPLIBInstancesLabel.ForeColor = System.Drawing.Color.Blue;
-      this.QAPLIBInstancesLabel.Location = new System.Drawing.Point(3, 5);
-      this.QAPLIBInstancesLabel.Name = "QAPLIBInstancesLabel";
-      this.QAPLIBInstancesLabel.Size = new System.Drawing.Size(96, 13);
-      this.QAPLIBInstancesLabel.TabIndex = 6;
-      this.QAPLIBInstancesLabel.Text = "QAPLIB instances:";
-      this.toolTip.SetToolTip(this.QAPLIBInstancesLabel, "These instances were taken from the QAPLIB homepage at http://www.seas.upenn.edu/" +
-              "qaplib/");
-      this.QAPLIBInstancesLabel.Click += new System.EventHandler(this.QAPLIBInstancesLabel_Click);
-      this.QAPLIBInstancesLabel.MouseEnter += new System.EventHandler(this.QAPLIBInstancesLabel_MouseEnter);
-      this.QAPLIBInstancesLabel.MouseLeave += new System.EventHandler(this.QAPLIBInstancesLabel_MouseLeave);
-      // 
-      // instancesComboBox
-      // 
-      this.instancesComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.instancesComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.instancesComboBox.FormattingEnabled = true;
-      this.instancesComboBox.Location = new System.Drawing.Point(105, 2);
-      this.instancesComboBox.Name = "instancesComboBox";
-      this.instancesComboBox.Size = new System.Drawing.Size(358, 21);
-      this.instancesComboBox.TabIndex = 7;
-      this.instancesComboBox.SelectedValueChanged += new System.EventHandler(this.instancesComboBox_SelectedValueChanged);
-      // 
-      // loadInstanceButton
-      // 
-      this.loadInstanceButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.loadInstanceButton.Location = new System.Drawing.Point(469, 0);
-      this.loadInstanceButton.Name = "loadInstanceButton";
-      this.loadInstanceButton.Size = new System.Drawing.Size(73, 23);
-      this.loadInstanceButton.TabIndex = 5;
-      this.loadInstanceButton.Text = "Load";
-      this.loadInstanceButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.toolTip.SetToolTip(this.loadInstanceButton, "Load the selected QAPLIB instance.");
-      this.loadInstanceButton.UseVisualStyleBackColor = true;
-      this.loadInstanceButton.Click += new System.EventHandler(this.loadInstanceButton_Click);
       // 
       // tabControl
@@ -146,16 +87,17 @@
       this.tabControl.Controls.Add(this.problemTabPage);
       this.tabControl.Controls.Add(this.visualizationTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 55);
+      this.tabControl.Location = new System.Drawing.Point(0, 29);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(647, 437);
+      this.tabControl.Size = new System.Drawing.Size(511, 304);
       this.tabControl.TabIndex = 8;
       // 
       // problemTabPage
       // 
+      this.problemTabPage.Controls.Add(this.parameterCollectionView);
       this.problemTabPage.Location = new System.Drawing.Point(4, 22);
       this.problemTabPage.Name = "problemTabPage";
       this.problemTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.problemTabPage.Size = new System.Drawing.Size(639, 411);
+      this.problemTabPage.Size = new System.Drawing.Size(503, 278);
       this.problemTabPage.TabIndex = 0;
       this.problemTabPage.Text = "Problem";
@@ -168,5 +110,5 @@
       this.visualizationTabPage.Name = "visualizationTabPage";
       this.visualizationTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.visualizationTabPage.Size = new System.Drawing.Size(639, 411);
+      this.visualizationTabPage.Size = new System.Drawing.Size(503, 278);
       this.visualizationTabPage.TabIndex = 1;
       this.visualizationTabPage.Text = "Visualization";
@@ -180,5 +122,5 @@
       this.qapView.Location = new System.Drawing.Point(3, 3);
       this.qapView.Name = "qapView";
-      this.qapView.Size = new System.Drawing.Size(633, 405);
+      this.qapView.Size = new System.Drawing.Size(497, 272);
       this.qapView.TabIndex = 0;
       this.qapView.Weights = null;
@@ -188,25 +130,16 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.instancesComboBox);
-      this.Controls.Add(this.tabControl);
-      this.Controls.Add(this.importInstanceButton);
-      this.Controls.Add(this.loadInstanceButton);
-      this.Controls.Add(this.QAPLIBInstancesLabel);
       this.Name = "QuadraticAssignmentProblemView";
-      this.Size = new System.Drawing.Size(647, 492);
-      this.Controls.SetChildIndex(this.QAPLIBInstancesLabel, 0);
-      this.Controls.SetChildIndex(this.loadInstanceButton, 0);
-      this.Controls.SetChildIndex(this.importInstanceButton, 0);
-      this.Controls.SetChildIndex(this.tabControl, 0);
-      this.Controls.SetChildIndex(this.instancesComboBox, 0);
-      this.Controls.SetChildIndex(this.infoLabel, 0);
-      this.Controls.SetChildIndex(this.parameterCollectionView, 0);
-      this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.problemInstanceSplitContainer.Panel1.ResumeLayout(false);
+      this.problemInstanceSplitContainer.Panel1.PerformLayout();
+      this.problemInstanceSplitContainer.Panel2.ResumeLayout(false);
+      this.problemInstanceSplitContainer.Panel2.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).EndInit();
+      this.problemInstanceSplitContainer.ResumeLayout(false);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.tabControl.ResumeLayout(false);
+      this.problemTabPage.ResumeLayout(false);
       this.visualizationTabPage.ResumeLayout(false);
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -214,9 +147,4 @@
     #endregion
 
-    private System.Windows.Forms.Button importInstanceButton;
-    private System.Windows.Forms.OpenFileDialog openFileDialog;
-    private System.Windows.Forms.Label QAPLIBInstancesLabel;
-    private System.Windows.Forms.ComboBox instancesComboBox;
-    private System.Windows.Forms.Button loadInstanceButton;
     private System.Windows.Forms.TabControl tabControl;
     private System.Windows.Forms.TabPage problemTabPage;
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.cs	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.cs	(revision 7669)
@@ -21,16 +21,13 @@
 
 using System;
-using System.Drawing;
-using System.IO;
 using System.Windows.Forms;
-using HeuristicLab.Common.Resources;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Optimization.Views;
 
 namespace HeuristicLab.Problems.QuadraticAssignment.Views {
   [View("Quadratic Assignment Problem View")]
   [Content(typeof(QuadraticAssignmentProblem), IsDefaultView = true)]
-  public sealed partial class QuadraticAssignmentProblemView : ParameterizedNamedItemView {
+  public sealed partial class QuadraticAssignmentProblemView : ProblemView {
     public new QuadraticAssignmentProblem Content {
       get { return (QuadraticAssignmentProblem)base.Content; }
@@ -40,5 +37,4 @@
     public QuadraticAssignmentProblemView() {
       InitializeComponent();
-      importInstanceButton.Image = VSImageLibrary.Open;
       Controls.Remove(parameterCollectionView);
       parameterCollectionView.Dock = DockStyle.Fill;
@@ -74,9 +70,5 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      instancesComboBox.Items.Clear();
       if (Content != null) {
-        foreach (string instance in Content.Instances) {
-          instancesComboBox.Items.Add(instance);
-        }
         qapView.Distances = Content.Distances;
         qapView.Weights = Content.Weights;
@@ -91,53 +83,4 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      instancesComboBox.Enabled = !ReadOnly && !Locked && Content != null;
-      loadInstanceButton.Enabled = !ReadOnly && !Locked && Content != null && instancesComboBox.SelectedItem != null;
-      importInstanceButton.Enabled = !ReadOnly && !Locked && Content != null;
-    }
-
-    private void instancesComboBox_SelectedValueChanged(object sender, System.EventArgs e) {
-      loadInstanceButton.Enabled = instancesComboBox.SelectedItem != null;
-    }
-
-    private void loadInstanceButton_Click(object sender, System.EventArgs e) {
-      string instance = instancesComboBox.SelectedItem as string;
-      try {
-        Content.LoadInstanceFromEmbeddedResource(instance);
-      } catch (Exception ex) {
-        PluginInfrastructure.ErrorHandling.ShowErrorDialog(ex);
-      }
-    }
-
-    private void importInstanceButton_Click(object sender, System.EventArgs e) {
-      if (openFileDialog.ShowDialog() == DialogResult.OK) {
-        try {
-          string datFile = openFileDialog.FileName;
-          string directory = Path.GetDirectoryName(datFile);
-          string solFile = Path.Combine(directory, Path.GetFileNameWithoutExtension(datFile) + ".sln");
-          if (File.Exists(solFile)) {
-            Content.LoadInstanceFromFile(datFile, solFile);
-          } else {
-            Content.LoadInstanceFromFile(datFile);
-          }
-        } catch (Exception ex) {
-          PluginInfrastructure.ErrorHandling.ShowErrorDialog(ex);
-        }
-      }
-    }
-
-    private void QAPLIBInstancesLabel_Click(object sender, System.EventArgs e) {
-      System.Diagnostics.Process.Start("http://www.seas.upenn.edu/qaplib/");
-    }
-
-    private void QAPLIBInstancesLabel_MouseEnter(object sender, EventArgs e) {
-      Cursor = Cursors.Hand;
-      QAPLIBInstancesLabel.ForeColor = Color.Red;
-      toolTip.SetToolTip(QAPLIBInstancesLabel, "Browse to http://www.seas.upenn.edu/qaplib/");
-    }
-
-    private void QAPLIBInstancesLabel_MouseLeave(object sender, EventArgs e) {
-      Cursor = Cursors.Default;
-      QAPLIBInstancesLabel.ForeColor = Color.Blue;
-      toolTip.SetToolTip(QAPLIBInstancesLabel, String.Empty);
     }
   }
